%define upstream_name    Plack
%define upstream_version 0.9985

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::StackTrace) >= 1.230.0
BuildRequires: perl(Devel::StackTrace::AsHTML) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.570.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Filesys::Notify::Simple)
BuildRequires: perl(HTTP::Body) >= 1.60.0
BuildRequires: perl(HTTP::Message) >= 5.814.0
BuildRequires: perl(Hash::MultiValue) >= 0.50.0
BuildRequires: perl(LWP::UserAgent) >= 5.814.0
BuildRequires: perl(Pod::Usage) >= 1.360.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP) >= 0.110.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI) >= 1.360.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Plack is a set of tools for using the PSGI stack. It contains middleware
components, a reference server and utilities for Web application
frameworks. Plack is like Ruby's Rack or Python's Paste for WSGI.

See the PSGI manpage for the PSGI specification and the PSGI::FAQ manpage
to know what PSGI and Plack are and why we need them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README eg
%{_bindir}/*
%{_mandir}/man?/*
%perl_vendorlib/*


%changelog

* Thu Mar 29 2012 jquelin <jquelin> 0.998.500-2.mga2
+ Revision: 227439
- fix summary (mga#5150)

* Tue Nov 08 2011 jquelin <jquelin> 0.998.500-1.mga2
+ Revision: 165537
- update to 0.9985

* Thu Oct 13 2011 jquelin <jquelin> 0.998.400-1.mga2
+ Revision: 154451
- update to 0.9984
- update to 0.9982

* Tue Jun 21 2011 jquelin <jquelin> 0.998.0-1.mga2
+ Revision: 111279
- imported package perl-Plack


* Tue Jun 21 2011 cpan2dist 0.9980-1mga
- initial mageia release, generated with cpan2dist
